## powatool 0.1

=== Makefile ===
GTK = $(shell pkg-config --libs --cflags gtk+-2.0)
HILDON = $(shell pkg-config --libs --cflags hildon-1)


all: powatool.c
	gcc -g -Wall powatool.c -o powatool $(GTK) $(HILDON)
	gcc -g -Wall powamove.c -o powamove $(GTK) $(HILDON)

install:
	install -D -m 755 powatool $(DESTDIR)/usr/bin/powatool
	install -D -m 4755 powamove $(DESTDIR)/usr/bin/powamove
	install -D -m 644 powatool.desktop $(DESTDIR)/usr/share/applications/hildon/powatool.desktop
	install -D -m 644 icon.png $(DESTDIR)/usr/share/icons/hicolor/scalable/hildon/powatool.png
	
    
clean:
	rm -rf *.o powatool powamove

=== debian/changelog ===
powatool (0.1) unstable; urgency=low

  * Initial release

 -- Jakub Pavelek <jpavelek@welho.com>  Wed, 23 Dec 2009 20:49:35 +0200

=== debian/control ===
Source: powatool
Section: user/utilities
Priority: optional
Maintainer: Jakub Pavelek <jpavelek@welho.com>
Build-Depends: debhelper (>= 4.1.0), libhildon1-dev (>=2.1.30)
Standards-Version: 3.8.0

Package: powatool
XB-Maemo-Display-Name: Powatool
Section: user/utilities
Architecture: armel
Depends: ${shlibs:Depends}
XB-Maemo-Icon-26: 
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9oBBhMWIrDiCp8AABIUSURBVGjexZl5jF1Xfcc/527v3re/mXkzns1j
 e2yP7eDYY8fB2Rw7hpAEO3acoApUqCoURFoKBUVC6iIBjQS0lUCltIgCBUoX
 IIHGMYY4IXESZ3FCYjvOOLPYs3rGHr9Z3r7c7fSPmff8xkmgaklypKt33r13
 3vy+v9/3tx6hagIkgADge9/7vh6JRnZZVvDvzYCxJhAImIqiACCEoLoHUBQF
 IUTtWf3+ty0pJVLKJfu3ulepVMrFUmmoWCjen8lknvzEvZ9wFl5akFiouroI
 AH7w/R9ujsViX21tXXarruuoqoqmaQghUFV1yWdV+Or+yu9vBuRKYX3fx/f9
 2r7+vud5SCnxPA/HcbBtm8mpqSOzs7Ofv/fj956s/qbQdA2Ab3/7O3d0tLf9
 ZzKZjBqGga7r6LqOpmk1oesFv1Lg6v7Nrnrhfd9/w/c3A1T97rpuDYBt26RS
 qezZs+c+/KlP/dlhkKiKpvLAlx7oXrlq5aG2traGQCBAFYCqqiiKgqZp1IMy
 DGPJVbtXfV4Hvv6qV4r+JveqV9WCVbCKotSUaJpmALh13br1Pzt69Kl5TSCI
 J+Kfam9rSwYCAXRdRwiBlBLXdclkMhx85BCnT59mcnKSUqkEilKjXd3m/7kE
 SB/Lsujo6GDT1RvZs2cv8XisZuGqbO3t7cmRkZH7hBD3i89+9nON267ddmbz
 pk3NVb4LISiXyzz66BEePngQIRQsy0LXjQXt/A4n/T+vRdo4jk2pVEJKn7v2
 7+f2228jEAjUfML3fU6cODH9wvHjV2mjo6Ode/fuSWqaVnvBdV0O/eIwR448
 RjgcwQgEanQSgFDeHgDSl0jACBiYloVdqXDwkUPYjs3ePXtq9FJVldbW1uax
 0bFOLZW61BmLxYQQoib88PAwDz34EIYZQAiB67pvGVl+/0aQNf67rkvFrvDT
 nzzIhvXr6e7uRlVVVFUlHo+LmdmZLq1i242GYdTCleu6HH3qKcKRCPF4AsMw
 0DS1lifeuSVxXQ/btpmfn+fJo0/R1dWFlBIhBIZhUCqWGjTPdQPVsOW6Lq7r
 8uqpV6lUyuRyaTRNf9u1/tus4boOtl3m1KlTOI6DlBJd1xeeeW5A831frQpf
 TSDz8/OYlrUkbr9bq6rxubl5PM+rUVpKifR9RZNSimry8DwPz/MolUoEgyFM
 00LTtHcVgOu62BWHcqmI53koinI54YHQgBqyaojKZNKUSkUCKZOAGUDXjcWS
 grfVkS/XQixmYJtKuUKlUsZxnBpDqmUGgCbfBMCq7tVkM+kF8wGuU8H3PDRN
 RVU1FEWgqhpcUcCJhU19anpjqpMLobK+cENKPM/F8xc+XdfD910EAsPQkYsJ
 zvM8ABzHqf2WRh3PqwB23rKbk6+8zLmzQxiGAQh838O2PcC+LGAVQJ3w4vLD
 pQCqAteB4IoqtLp831/8bWpO29G5vHa/CkRK0KoOXOWblBLLDLJi5SpGR4Yp
 lUrvaBQSQtDUlKRYLFAoFEgkGrnlfbvRdL1GHVVVF0HLBQq5rltHIYkQsGXr
 Ntat38Bjjx7mwtTUYkEXIJ/PvUFjv8+1rLWN/QfuJpPJcOHCFDt37SaXyzIy
 PFzTfFXhskqhKx/Mpedoak6yYtUq/ujjn+A3Lx6nVCqyclU3D/74v5hJXfpf
 NS2Vchm5qFXTNH+n8JqmceNNN9G9eg0V22bTli1kM1mmpi5wbniYLZs24vt+
 rSqQgCYlNQDVcDoyOobnSXxfsryrixtv3rngMJrGJ++7j7/54hd+ZzSyLIvP
 /8VfEQqHmU2l+LuvfplAIPBbAfhSUqpUyBeLqIpKpVTi/PlxhoaGKBSKS/LA
 ZSdeFLwaogASiQQV26a/vx8JdHUtBymwHYdIvAEjEEBT1bfUvOe5dK9ew/4D
 91AsFjEMgx/92w/IpNPouv7WAHyfky+/wubea7AiJqOjkwyfGyEYCmM7Nq7n
 IRb7g+r/UiSXE1i1Hho804dlmoQiUQYG+pkYH2fRZ/j2P32TfC5HPp8nl8tR
 KpXRNI1yuUyxWCIUibB339184YGvLGjN96lUbL72D//Mzbt2oxsGhUIB27ZR
 VJVisUg+nyefz1MqlYjGYyTiUVKXLjEyPIxhmigKnOt/Hc91awVn1aG1+hq7
 Wk5MjI8RjUbYdt2NKNEY5ycvEI83kGxpJhgKEgwGURQFXTf4yEc/xkc++jF+
 cfAglUqFvfvvIhgM4Tj2QniWEqEIOrs6+dKXv8rFCxf47589SPeqbrbfcAP/
 +PWv8fiRX+F5HoGAydWbNyMVwczMLELRCFtBXn3lJXzPrTGk2sZKyWUnru9F
 16xZg+e6DPafYfsNO5icnGRufo7GZCOberfSd/o0juPwwTv3c/cffBjbcbh9
 750IBEIRnJ8YY3Jyirn5OZACoUiak820d3TQ0NDIH3/83gXK+j73/smfMnzu
 LEODA7S2t9OyrJ1cJkeuUMAKhUjPzjA1eR5NVZfkKyklkissUEUYCoWYnZ1l
 Pj3E+qs2YpoWmWyWQr5IY1OSgGkyO5Oi/8wZ0vNpYrEYtm+jCHjllZOMT4yj
 6TqKuDyCSWeHOfP6AN3dq9i48T1IuQB2bGSUCxem6OnZwK5bP0AoHF5o4h2b
 oBVmbnaGifFxVFWthftqy0uVQvV1BsDU1BTFYhHbtslm0rS0duI6FUCSbGnh
 zv0HeOLxIwwNvE4mkyYcieDYNi8cf550JkssGkP6PpFoBCHA9yGbzWKZFgND
 g9iVCpt7e1GExrmzQ2QzGf7yiw9g2w6O7aAqAss0AZ9QOFwLwVUAUspFCl1h
 gSqNcrkclUoFx7ExTQvbqRDQ9QWgUvCeTVvQDJ2ZS5doakqiKoKXTp4kncmx
 rGUZ6blZXnr+GE88/jip1CU6l3ex+/3v55r3Xk9z8zJGxyfQdIPe3l62bb+e
 zq6H6D9zhs1btzA/m0ZKD9MMUiiWahOR+hKjfiyzxALVm10rVjB98SK6rhOw
 LDxfEgwFEUJBAg2NUYLBEBs39WKFglyYmuJSaoa2tjaG+vs4dvQJopEIyWQT
 CDDNAHOpSxz5xUFuvvUDNCWTjE+cp6OjnZZlrVyz7b38/Kc/ZvL8BFf3biMe
 jxIOWWSyOcLRKBuv3sRs6tISClWdWKnvA6qWCIdCdHR0cN2NN4GiogiFSDiC
 0DSKxSIvPPccw+fO0r22B1VVGRgYJByJkM9mOPbkE8RjMdatW8fm3l4aGhrY
 sWMHvVu2oCiCV46/gOc6WMEg586dw/U8btuzD1VVOfizB3nhuWfwfYjGYsQT
 cTQtQGt7Jw0NjUvK6aojK9Virj6+5gsFWts7CEUTCKESDlmomkapVOHhh36C
 58Peu+4mkWgAz8P2PEzTYmJsnJGRYYaGhhgeHuaeez7Ezx9+mJ07dzIyMsLw
 8DDPHnsGJKiqiu35+K5LPJHgu//+E/7269/k6Sd/zdmzZ9H1AIlYBMMw8IWC
 ZgaXyOi6LhJ52QLVB57n0dCYxArHMEyLSCTMspYWNN3g5ZdepO/USfYd+BAt
 La0oikKxXMIMmGi6Sj6fwfc9yuUyY2NjbNh4NUVHsO3a93L8+HHy+fxin+Gh
 qiqGrmM7Np7vUywUaGlto5jLcvzY0+TLZXQjQHOykXiigUAwXJOvPpG9gUKe
 76MYFlYoQlNjI02JOB6CkZFRjj/7NFL6+J6PFQrjuB6mEUDVNJAQCJiYpkUw
 GKStrY2J8TEils7Zs2fZuHEjkUiExsYmPNdHUVU0XUdVVDzPxwyGyOVy+NLH
 9RzKZZtMrghCIdnYSFNjwxsoxJVRSEqJ8CUtzUmSjXFMM0CuWEGKCun0PJn0
 PL7vc+CD7+emXbfwyU9/Dp8QVjBIqViirb2TzuXLScTjdHR08K/f/Q4nTpzg
 hhtuYMOGDViWhS8lUigIRcUyLXygUCxw/6fv49zgAKqq0dzajlB0XM/GkwKh
 aASDwZqc1VDqv5kFfN/DDATQ9QC+0PAAiaClvYO2jg5isRhmwODUyy9x5rXT
 FIolWpuTKJpKsrWNa67dTlNTE0IIRkdHKZVKnDp1Ctd1aW1tZWPvVmKJBlRN
 pakhge14PPHYo4yPnCMcDhGJROg7eYLpqXGEotD36kmeefooE1NTS5lSb4Hq
 vKUaaycvXmTs/CRuxeaqzb00NTdz5tRJJsZG8VwXVVXJZjK8dvIEq9auo6Ol
 iXS2QGp2hp73bGJydJjRc0OkUilKxSLpdJqpCxe5uncrZjiGDyQTDUQTMSYv
 zvLic8cQQlCpVFBVlemLkzz4Hz+ksbmZ4cF+TNMkFA7T3d6ypHOr5YFqEquu
 X//y0EIG9XzODp4hHI0xPNTPzp07CZgWQwP9TEyMc+TwI2zfsQtN1ehsX4ZQ
 FGZm52hobceVsL+9E9e2MQImesBED0bQrRDJxgRtLc2kZnP85oXn6Dt9ioZE
 gptv2c3x555lenqa2dQ0ufQclmlyx569SHm5X6mO3JcAqK/0dt1yC/1n+sjl
 suSzaZxKiZ61a9mzdz/haBTHcfiXb32TUsVG0wzKFZs5z2dlRzvhUJCZ+QyR
 eAP5TAbPd9E0nUgsgabpJBvixGNhLs5kkAgM0+KOPXdyy+73YRgGTU1Jhgb7
 6V69Bk3VWNbWRqlUZi6VwrFLSxQtqw1NfWOvqipr167FsoIIIehZvx7TMFmx
 ahW+9PE8H13TsEyL5avXE4pEcV0P1/OZnJmlq62ZaCTMfDZHLBZHIJBIQqZB
 QyyKoihMTM/i+wuabEy20LprN5ph4EvYvGUrW7dduzBm8Xyy2Szzc3P44rKv
 1iywOBeS9Yh83ycUDLKqezVt7W1EYzEURUVKf6ELU1V8z+eOO/fxq8OHeen5
 Y2zdfj0Dfa/hex75wgYaG2LEIxECAR3P91EVhVLZZiZXIpVKMfR6H4nGJjo6
 u3jmiSOovsueffuRi1QuFosU8nlmZ2fI5fLkc1laW5opLw4Uaq2slFLzPc+v
 9pqO4ywebpRwfcng4CCariNY6I/DkSgNiThNySTLWtvYd+AAzzz1FMeffQq7
 VODS9CXau1awfmMv11x/E4ZuLPiSlBTzeY4fO0r/a6cY6u8jFk/Q1tmF8F3u
 vOvA4jlYhfGxMdKZDPlcHsd1yKTn0TWNaChYCzbVabrv+75qmuZVPT09d1qW
 JWoZbrEe6jvzOjMzs1RsG8f1SKVSjI6OMTU5iSoEwWCItrZ2IqEQm3u3EAxZ
 PPnYo5x65UVGzw6yZfsN5PM5hFD4yl/fz0vPPs1sanrBIsUCxXyOfXfdQ3PL
 MubnZjl54gSXUil8zyMcjpCankbTVDZtvIpMOr3QhioKhmGQyWT8kydP/lyV
 Uq5sbW29raury6qeD5TLZVRV4aqrNlApV5ibn0XXNOLxOKqmkCvkmZycxLEr
 gMC0LABi0SjT0xexKxUy6XmamlspFgoMDw3ywtOPE4vFCBgGDclm4rEEO3bt
 YtmyNmYuXWR4eJj5+QyhcJBsNs1rp06Qy8xz/XXbyWQyZLPZ2rlAJBKhv78/
 3dfX92OtVCpNvPrqq69t3rz5pkgkgpSSUmmBq8VikfU9qwmHTEZHRphPXWL5
 ihW0NDYuTo0rSNdBKgo+YFkm63p6aGpsxPM8nn/8EL7vo6oq27dfVxueXX/j
 DhKJBgqFAr7n4Do2oVCQcDiEkD5OMc+Om26ko6ODwcFBcrkchmEQCASIRCK4
 rsvp06/1lUqlCQEkgc/u3bv3k7fffnuiUCiQyWQol8tUKhU8zyMajRIKhWqN
 BXLhmHyhq5NLBrfq4kHhlXOj+vfqp8v174nF2ZDjOBSLRbLZLKqqEggEME2T
 aDRKOBzm8OFfzh869Mi3gK9pwCzwxCOPPNLred71d999dzQYDJLP5ymXy7XQ
 VS6XKZfL79iMVFVVmpqaUFUV0zQJL7aWDz30UPbw4cPHgaPArFi7Zg2DQ0Nx
 4EPAHzY0NHR/5jN/3trW1qrIxWncu3vEtNCFTU1N+d/4xjcuzMzMnAN+BPy0
 e/XatOhZuxaAgcHBJHAbsA9Yv2XLlpaVK1cGly9fbiiKIqR8+46HeZMxvBAC
 3/fl+Pi4PTo6Wnz55ZengdeBh4FfrV7TkwIQ63p6qn/DwOCACVwN3ApsAZYB
 YeDdOmdygQIwDfwGOAKcXrtmXWlxUIhY17PuDXroHxhIAF1AGxB7lwFkgClg
 bN3adfOyzloS+B+JirNu5YeyqAAAAABJRU5ErkJggg==
 ===
Description: Tweak your status bar, get rid of Nokia hands, etc.
 With Powatool you can modify your Maemo device the way Nokia did 
 not intend it to be tweaked. Currently supports:
    * status area and menu tweaking
    * Turning on/off the Nokia hands animation
 Icons by http://kon.deviantart.com

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: configure
	dh_testdir

configure: configure-stamp

configure-stamp:
	touch configure-stamp


build: build-stamp

build-stamp: 
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	rm -f *.o powatool
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/build
	dh_movefiles

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_install -v --sourcedir=debian/build
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
